unit uBizControlVentasTerminadas;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uBizControlesBase,
  uBizVentasTerminadas;

const
  BIZ_CONTROL_VENTASTERMINADAS = 'Client.Control_VentasTerminadas';

type
  IBizControlVentasTerminadas = interface(IBizControlBase)
  ['{BC0C313D-E667-4AC6-BB30-55469970F919}']
    procedure SetItems(const Value : IBizVentasTerminadas);
    function GetItems : IBizVentasTerminadas;
    property Items : IBizVentasTerminadas read GetItems write SetItems;
  end;

  TBizControlVentasTerminadasTableRules = class(TBizControlBaseDataTableRules, IBizControlVentasTerminadas)
  protected
    FItems : IBizVentasTerminadas;
    procedure OnNewRecord(Sender: TDADataTable); override;
    procedure SetItems(const Value : IBizVentasTerminadas); virtual;
    function GetItems : IBizVentasTerminadas; virtual;
  public
    procedure Show; override;
    property Items : IBizVentasTerminadas read GetItems write SetItems;
  end;

implementation

uses
  uEditorUtils, uDataModuleVentasTerminadas;

{ TBizControlVentasTerminadasTableRules }

function TBizControlVentasTerminadasTableRules.GetItems: IBizVentasTerminadas;
begin
  Result := FItems;
end;

procedure TBizControlVentasTerminadasTableRules.OnNewRecord(
  Sender: TDADataTable);
begin
  inherited;
  CATEGORIA := CATEGORIA_VENTA_TERMINADA
end;

procedure TBizControlVentasTerminadasTableRules.SetItems(
  const Value: IBizVentasTerminadas);
begin
  FItems := Value;
end;

procedure TBizControlVentasTerminadasTableRules.Show;
begin
  inherited;
  ShowEditor(IBizControlVentasTerminadas, Self, etItem);
end;

initialization
  RegisterDataTableRules(BIZ_CONTROL_VENTASTERMINADAS, TBizControlVentasTerminadasTableRules);

end.
